org.apache.http.conn

## Class ConnectTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - org.apache.http.conn.ConnectTimeoutException

- All Implemented Interfaces:
    Serializable
  已知直接子类：
    ConnectionPoolTimeoutException

      public class ConnectTimeoutException
      extends InterruptedIOException

  连接到HTTP服务器或等待HttpConnectionManager的可用连接超时。
  从以下版本开始：
    4
  另请参见：
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.InterruptedIOException

      `bytesTransferred`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ConnectTimeoutException()` 创建一个具有 `null`详细消息的ConnectTimeoutException。
    `ConnectTimeoutException(IOException cause, HttpHost host, InetAddress... remoteAddresses)` 创建基于原始`IOException`的ConnectTimeoutException。
    `ConnectTimeoutException(String message)` 使用指定的详细消息创建一个ConnectTimeoutException。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpHost` | `getHost()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### ConnectTimeoutException

          public ConnectTimeoutException()

      创建一个具有 `null`详细消息的ConnectTimeoutException。

    - #### ConnectTimeoutException

          public ConnectTimeoutException(String message)

      使用指定的详细消息创建一个ConnectTimeoutException。

    - #### ConnectTimeoutException

          public ConnectTimeoutException(IOException cause,
                                 HttpHost host,
                                 InetAddress... remoteAddresses)

      基于原始的`IOException`创建一个ConnectTimeoutException。
      从以下版本开始：
        4.3

  - ### 方法详细信息

    - #### getHost

          public HttpHost getHost()

      从以下版本开始：
        4.3

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585